local LSM = LibStub("LibSharedMedia-3.0") 

local SetMediaName = function(name)
    return 'Merfin: ' .. name
end

-- BACKGROUND
LSM:Register("background", SetMediaName('Chat Background'), [[Interface\Addons\MerfinMedia\background\MerfinUI_ChatBackground.tga]]) 

--  FONT
LSM:Register("font", "ArchivoNarrow-Bold", [[Interface\Addons\MerfinMedia\font\ArchivoNarrow-Bold.ttf]], LSM.LOCALE_BIT_western) 
LSM:Register("font", "ArchivoNarrow-Bold", [[Interface\Addons\MerfinMedia\font\ArchivoNarrow-Bold.ttf]], LSM.LOCALE_BIT_ruRU) 
LSM:Register("font", "Expressway", [[Interface\Addons\MerfinMedia\font\Expressway.ttf]])
LSM:Register("font", "HOOGE", [[Interface\Addons\MerfinMedia\font\HOOGE.TTF]])

--- SOUND
-- Alerts
LSM:Register("sound", 'Merfin. Alert Bell', [[Interface\Addons\MerfinMedia\sound\Alerts\AlertBell.mp3]]) 

-- Countdowns
LSM:Register("sound", "1", [[Interface\Addons\MerfinMedia\sound\Countdowns\1.mp3]]) 
LSM:Register("sound", "2", [[Interface\Addons\MerfinMedia\sound\Countdowns\2.mp3]]) 
LSM:Register("sound", "3", [[Interface\Addons\MerfinMedia\sound\Countdowns\3.mp3]]) 
LSM:Register("sound", "4", [[Interface\Addons\MerfinMedia\sound\Countdowns\4.mp3]]) 
LSM:Register("sound", "5", [[Interface\Addons\MerfinMedia\sound\Countdowns\5.mp3]]) 

-- Voicelines
LSM:Register("sound", "Merfin: Avoid", [[Interface\Addons\MerfinMedia\sound\Voicelines\Merfin. Avoid.mp3]]) 
LSM:Register("sound", "Merfin: Frontal", [[Interface\Addons\MerfinMedia\sound\Voicelines\Merfin. Frontal.mp3]]) 
LSM:Register("sound", "Merfin: Run in.mp3", [[Interface\Addons\MerfinMedia\sound\Voicelines\Merfin. Run in.mp3]]) 
LSM:Register("sound", "Merfin: Run out.mp3", [[Interface\Addons\MerfinMedia\sound\Voicelines\Merfin. Run out.mp3]]) 
LSM:Register("sound", "Merfin: Watch your feet.mp3", [[Interface\Addons\MerfinMedia\sound\Voicelines\Merfin. Watch your feet.mp3]]) 
LSM:Register("sound", "Merifn: Bait.mp3", [[Interface\Addons\MerfinMedia\sound\Voicelines\Merifn. Bait.mp3]]) 
LSM:Register("sound", "Merifn: Defensive.mp3", [[Interface\Addons\MerfinMedia\sound\Voicelines\Merifn. Defensive.mp3]]) 
LSM:Register("sound", "Merfin: Phase 2", [[Interface\Addons\MerfinMedia\sound\Voicelines\Merfin. Phase 2.mp3]]) 
LSM:Register("sound", "Merfin: Phase 3", [[Interface\Addons\MerfinMedia\sound\Voicelines\Merfin. Phase 3.mp3]]) 
LSM:Register("sound", "Merfin: Stack", [[Interface\Addons\MerfinMedia\sound\Voicelines\Merfin. Stack.mp3]]) 
LSM:Register("sound", "Merfin: Taunt", [[Interface\Addons\MerfinMedia\sound\Voicelines\Merfin. Taunt.mp3]]) 
LSM:Register("sound", "Merfin: Move the boss", [[Interface\Addons\MerfinMedia\sound\Voicelines\Merfin. Move the boss.mp3]]) 
LSM:Register("sound", "Merfin: Run Away", [[Interface\Addons\MerfinMedia\sound\Voicelines\Merfin. Run Away.mp3]])
LSM:Register("sound", "Merfin: Interrupt", [[Interface\Addons\MerfinMedia\sound\Voicelines\Merfin. Interrupt.mp3]])  
LSM:Register("sound", "Merfin: Switch Targets", [[Interface\Addons\MerfinMedia\sound\Voicelines\Merfin. Switch Targets.mp3]])  
LSM:Register("sound", "Merfin: Stop Casting", [[Interface\Addons\MerfinMedia\sound\Voicelines\Merfin. Stop Casting.mp3]])  
LSM:Register("sound", "Merfin: Knockback", [[Interface\Addons\MerfinMedia\sound\Voicelines\Merfin. Knockback.mp3]])  
--LSM:Register("sound", "", [[Interface\Addons\MerfinMedia\sound\Voicelines\]]) 

-- STATUSBAR
LSM:Register("statusbar", "Flatt", [[Interface\Addons\MerfinMedia\statusbar\Flatt.blp]]) 
LSM:Register("statusbar", "Merfin Main Texture", [[Interface\Addons\MerfinMedia\statusbar\MerfinTexture.blp]])